IPSW-DOWNLOAD-IPSW(1)

NAME
ipsw-download-ipsw - Download and parse IPSW(s) from ipsw.me

SYNOPSIS
ipsw download ipsw [flags]

DESCRIPTION
Download and parse IPSW(s) from ipsw.me

OPTIONS
--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

-y, --confirm[=false]
    do not prompt user for confirmation

--decrypt[=false]
    Attempt to decrypt the partial files if keys are available

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--dyld[=false]
    Extract dyld_shared_cache(s) from remote IPSW

-a, --dyld-arch=[]
    dyld_shared_cache architecture(s) to remote extract

--fcs-keys[=false]
    Download AEA1 DMG fcs-key pem files

--fcs-keys-json[=false]
    Download AEA1 DMG fcs-keys as JSON

-f, --flat[=false]
    Do NOT preserve directory structure when downloading with --pattern

-h, --help[=false]
    help for ipsw

--ibridge[=false]
    Download iBridge IPSWs

--insecure[=false]
    do not verify ssl certs

--kernel[=false]
    Extract kernelcache from remote IPSW

--latest[=false]
    Download latest IPSWs

--macos[=false]
    Download macOS IPSWs

-m, --model=""
    iOS Model (i.e. D321AP)

-o, --output=""
    Folder to download files to

--pattern=""
    Download remote files that match regex

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--show-latest-build[=false]
    Show latest iOS build

--show-latest-version[=false]
    Show latest iOS version

--skip-all[=false]
    always skip resumable IPSWs

-u, --urls[=false]
    Dump URLs only

--usb[=false]
    Download IPSWs for USB attached iDevices

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Download latest iOS IPSWs for iPhone15,2
    ❯ ipsw download ipsw --device iPhone15,2 --latest
    # Download specific iOS build with kernelcache extraction
    ❯ ipsw download ipsw --device iPhone14,2 --build 20G75 --kernel
    # Get URLs only without downloading
    ❯ ipsw download ipsw --device iPhone15,2 --version 17.0 --urls

SEE ALSO
ipsw-download(1)

HISTORY
24-Oct-2025 Auto generated by spf13/cobra